Skip to content

List the access items for a security access review

Request

OAuth 2.0 scope:
  • okta.governance.securityAccessReviews.admin.read
Admin roles:
  • SUPER_ADMIN
Permissions:
  • okta.governance.securityAccessReviews.admin.read

Lists the access items for a specific security access review.

Access items refer to the top-level resources that the security access review's target principal has access to. For example, a top-level resource can be an app, hence the access item describes the principal's access to that app.

Path
securityAccessReviewIdstringrequired

The ID of the security access review

Query
filterstring

A filter expression that filters access items.

Note: Query parameter percent encoding is required. See Percent-encoding.

Examples:
Filter by name
filter=name co "Git"
Filter by priority
filter=priority eq "HIGH"
Filter by sodConflictSeverity
filter=sodConflictSeverity eq "HIGH"
Filter by assignmentMethodSeverity
filter=assignmentMethodSeverity eq "HIGH"
Filter by pastGovernanceDecisionsSeverity
filter=pastGovernanceDecisionsSeverity eq "HIGH"
Filter by usageHistorySeverity
filter=usageHistorySeverity eq "HIGH"
Filter by governanceLabel
filter=governanceLabel co "Crown Jewel"
orderByArray of strings, = 1 items

The field to sort the results, in ascending (asc) or descending (desc) order. Sorting is applied to only one field.

Note: Query parameter percent encoding is required. See Percent-encoding

Default:["priority desc"]
Examples:
Order by priority
orderBy=priority desc
Order by lastAccess
orderBy=lastAccess desc
Order by accessFrequency
orderBy=accessFrequency desc
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
GET
/governance/api/v2/security-access-reviews/{securityAccessReviewId}/accesses
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/security-access-reviews/{securityAccessReviewId}/accesses?filter=name%20co%20%22Git%22&orderBy=priority%20desc&after=00u68w6vzKLultXS97g6&limit=20'

Responses

A successful security access review access items get response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects, [ 0 .. 200 ] items(security-access-review-access-item)

List of access items in the security access review

Response
{ "data": [ {}, {}, {} ], "_links": { "self": {} } }